package client_server;

/**

 * BorrowersProcessor processes a request from a web page.  It responds to the

 * request by sending a query to a database, and returning the result.

**/

import java.io.*;

import java.sql.*;

 

public class DisplayProduct extends WebRequestProcessor

{

       public void process (Request request, Response response)

       {

               try

               {

                      // Get a connection to the database.

                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

                      Connection con = DriverManager.getConnection ("jdbc:odbc:triplestars");

 

                      // Create a statement and a query.

                      Statement stmt = con.createStatement ();

                      String query = "Select * From products";

 

                      // Execute the query and retrieve a ResultSet.

                      ResultSet rs = stmt.executeQuery (query);

                     

                      // Get a PrintWriter object and respond to the request.

                      PrintWriter out = response.getWriter ();

                      Page.createHeader (out, "Products List");

                      out.println ("<h2><center><u>Products List:</u></center></h2>");

 
                      // Display the data in the ResultSet.

                      while (rs.next ())

                      {
                           
                             out.println ("<table height=300 cellspacing=5 border=5 bodercolor=#CC0033>");
                             
                             out.println ("<tr><td>");
                             
                             out.println ("<p><b>ID:</b> " + rs.getString ("id"));

                             out.println ("<br /><b>Name:</b> " + rs.getString ("name"));

                             out.println ("<br /><b>Information:</b> " + rs.getString ("information"));

                             out.println ("<br /><b>Price:</b> " + "<font color=green><b>" + rs.getString ("price") + "</font></b>");
                             
                             out.println ("<br /><b>Image:</b> " + "<img src=" + rs.getString ("image") + ">" + "</p>");

							 out.println ("</td></tr></table>");
							 
                      }

                      Page.createFooter (out);

                      con.close (); // Close the connection to the database.

               } catch (SQLException e) {System.out.println ("SQL Exception");}

                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}              


       } // process

} // DisplayProduct


// Class with static method that add standard lines to the html output page.

class Page

{

       public static void createHeader (PrintWriter out, String title)

       {

               out.println ("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");

               out.println ("<html>");

               out.println ("<head>");

               out.println ("<title>" + title + "</title>");

               out.println ("</head>");
               
               out.println ("<body>");
               

       } // createHeader

      

       public static void createFooter (PrintWriter out)
       {
       	       	
               out.println ("</body></html>");
        
        }

} // class Page



